[package]
name = "asklyphe-frontend"
version = "0.1.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
asklyphe-common = { path = "../asklyphe-common" }
unit_converter = { path = "../unit_converter" }

tokio = { version = "1.35.1", features = ["full"] }

axum = "0.7.4"
axum-extra = { version = "0.9.2", features = [ "cookie" ] }
tower-http = { version = "0.5.2", features = ["cors"] }
time = "0.3.34"

askama = {  version = "0.12.1", features = ["default", "with-axum"] }
askama_axum = "0.4.0"

tracing = "0.1.40"
tracing-subscriber = "0.3.18"
tracing-loki = "0.2.4"

serde = { version = "1.0", features = ["derive"] }
serde_json = "1.0"
async-nats = "0.38.0"
rmp-serde = "1.1.2"
ulid = "1.1.0"
futures = "0.3.30"

html-escape = "0.2.13"
isahc = "1.7.2"
once_cell = "1.19.0"
chrono = "0.4.33"
rand = "0.8.5"
url_encoded_data = "0.6.1"
strum = "0.27.1"
strum_macros = "0.27.1"

env_logger = "*"
